## dpkg-cross 2.6.11

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Uploaders: Wartan Hachaturow <wart@debian.org>,
 Alexander Shishkin <virtuoso@slind.org>,
 Nikita V. Youshchenko <yoush@debian.org>,
 Raphael Bossek <bossekr@debian.org>,
 NIIBE Yutaka <gniibe@fsij.org>,
 Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>> 5), po-debconf
Standards-Version: 3.9.4
Homepage: http://dpkg-cross.alioth.debian.org/
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/dpkg-cross/trunk/
Vcs-SVN: http://www.emdebian.org/svn/current/host/trunk/dpkg-cross/trunk/

Package: dpkg-cross
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7),
 libconfig-auto-perl, libdebian-dpkgcross-perl (= ${source:Version})
Recommends: fakeroot
Suggests: binutils-multiarch
Breaks: debhelper (<< 8.1.2~)
Description: tools for cross compiling Debian packages
 dpkg-cross is a tool for installing libraries and headers from
 packages which have not been converted for Multi-Arch to support
 cross compiling.

Package: libdebian-dpkgcross-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
 libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl,
 liblocale-gettext-perl
Description: functions to aid cross-compiling Debian packages
 Debian::DpkgCross is a module of perl functions to aid installing
 libraries and headers for cross compiling.

## dpkg-cross 2.6.11ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.11ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - dpkg-cross:
      + Handle datarootdir specially in .pc files; it should keep the original
        prefix.
      + Handle lines containing '${exec_prefix}/bin' specially in .pc files;
        these are normally development tools, so should keep the original
        prefix.  (For example, orbit_idl in ORBit-2.0.pc.)
      + Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
        This fixes issues with arch-qualified include files being moved to
        “doubly-qualified” paths.
      + Handle biarch linker scripts

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 17 Aug 2013 07:40:29 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk

clean::
	$(RM) Debian::DpkgCross.3 dpkg-cross.1
	$(RM) debian/stamp-makefile-build debian/stamp-makefile-check
	debconf-updatepo

build/dpkg-cross::
	install -d debian/dpkg-cross/usr/share/bug/dpkg-cross/
	install -m 0755 debian/bugscript debian/dpkg-cross/usr/share/bug/dpkg-cross/script

## dpkg-cross 2.6.13ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.13ubuntu1) wily; urgency=medium

  * Fix fix_ldscript to cover all multiarch and non-multiarch cases.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 May 2015 18:56:04 -0600

dpkg-cross (2.6.13) experimental; urgency=medium

  * Fix behaviour where DEB_HOST_GNU_TYPE != DEB_HOST_MULTIARCH (e.g. i386)
    (Closes: 773266)
  * Merge Ubuntu dpkg-cross fixes:
    Handle datarootdir specially in .pc files: keep the original prefix
    Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
    This fixes issues with arch-qualified include files being moved
    to doubly-qualified paths.
    Handle lines containing '${exec_prefix}/bin' specially in .pc files;
    these are normally development tools, so should keep the original
    (build arch) prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Wookey <wookey@debian.org>  Fri, 23 Jan 2015 16:02:07 +0000

dpkg-cross (2.6.12) experimental; urgency=medium

  * Remove ac_cv_sizeof_off_t as supreceded by AC_SYS_LARGEFILE (Closes: 776010)
  * Support lib{hf,n32,sf,x32}. (Closes: 771497)
  * Ensure multilib ldscripts are fixed up. (Closes: 772045,649094)
  * Update uploaders list (Closes: 741476)
  * Include support for libo32 multilibs

 -- Wookey <wookey@debian.org>  Thu, 22 Jan 2015 19:18:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
-Uploaders: Wartan Hachaturow <wart@debian.org>,
- Alexander Shishkin <virtuoso@slind.org>,
- Nikita V. Youshchenko <yoush@debian.org>,
- Raphael Bossek <bossekr@debian.org>,
- NIIBE Yutaka <gniibe@fsij.org>,
- Neil Williams <codehelp@debian.org>
+Uploaders: Neil Williams <codehelp@debian.org>, Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
 Standards-Version: 3.9.4
 Homepage: http://dpkg-cross.alioth.debian.org/

## dpkg-cross 2.6.15-1

=== debian/changelog ===
dpkg-cross (2.6.15-1) unstable; urgency=medium

   * Adopted by Wookey

 -- Wookey <wookey@debian.org>  Tue, 11 Oct 2016 15:11:12 +0100

dpkg-cross (2.6.15) unstable; urgency=medium

  * Add Breaks & Replaces for dpkg-cross 2.6.13 (Closes: #831641)

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Jul 2016 20:08:45 +0100

dpkg-cross (2.6.14) unstable; urgency=medium

  * Create cross-config package which will remain after the
    deprecated dpkg-cross and libdebian-dpkgcross-perl binares
    are removed from this package in time for the Stretch release.
  * In light of deprecation of the dpkg-cross binary, drop the
    default_arch support and associated debconf support.
    (Closes: #771496)

 -- Neil Williams <codehelp@debian.org>  Tue, 12 Jul 2016 19:09:54 +0100

## dpkg-cross 2.6.15-2

=== debian/changelog ===
dpkg-cross (2.6.15-2) unstable; urgency=medium

  * Make code perl 5.26-compatible (escape left braces in regexps).
    (Thanks to Gregor Herman) (Closes: #869433)

 -- Wookey <wookey@debian.org>  Mon, 24 Jul 2017 17:09:56 +0100

## dpkg-cross 2.6.15-2ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.15-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix fix_ldscript to cover all multiarch and non-multiarch cases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jul 2018 14:37:50 -0700

## dpkg-cross 2.6.15-3

=== debian/changelog ===
dpkg-cross (2.6.15-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * cross-config: Ensure that every release arch uses the common file.
    (Closes: #868483)

 -- Wookey <wookey@debian.org>  Sun, 26 May 2019 22:33:37 +0100

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>> 5)
Standards-Version: 3.9.8
Homepage: http://dpkg-cross.alioth.debian.org/
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/dpkg-cross/trunk/
Vcs-SVN: http://www.emdebian.org/svn/current/host/trunk/dpkg-cross/trunk/

Package: cross-config
Architecture: all
Depends: ${misc:Depends}
Breaks: dpkg-cross (<= 2.6.14)
Replaces: dpkg-cross (<= 2.6.14)
Description: autotools support for cross-compilation
 This package contains configuration files describing available
 cross architecture settings for use by autotools along with
 support for cross-building using CMake and a small number of
 package-specific cross-building configuration support files.
 .
 This package will remain after the deprecated dpkg-cross binary
 and supporting perl module have been removed.

Package: dpkg-cross
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7),
 libconfig-auto-perl, libdebian-dpkgcross-perl (= ${source:Version}),
 cross-config
Recommends: fakeroot
Suggests: binutils-multiarch
Breaks: debhelper (<< 8.1.2~)
Description: tools for cross compiling Debian packages
 dpkg-cross is a tool for installing libraries and headers from
 packages which have not been converted for Multi-Arch to support
 cross compiling.
 .
 This package contains only the deprecated dpkg-cross binary. Future
 releases will drop the dpkg-cross and libdebian-dpkgcross-perl
 binary packages.

Package: libdebian-dpkgcross-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
 libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl,
 liblocale-gettext-perl
Description: functions to aid cross-compiling Debian packages
 Debian::DpkgCross is a module of perl functions to aid installing
 libraries and headers for cross compiling.
 .
 This package is deprecated as it only supports the deprecated
 dpkg-cross binary.

## dpkg-cross 2.6.15-3ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.15-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix fix_ldscript to cover all multiarch and non-multiarch cases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 May 2019 18:28:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Wookey <wookey@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper (>> 5)
 Standards-Version: 3.9.8
 Homepage: http://dpkg-cross.alioth.debian.org/

## dpkg-cross 2.6.15-3.1

=== debian/changelog ===
dpkg-cross (2.6.15-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ YunQiang Su ]
  * skip ld.so.1 in /usr/$(multiarch)/lib for mips n32, mips 64 and sparc64
    (Closes: #881687)

  [ Helmut Grohne ]
  * Arch qualify dependencies in shlibs files. (Closes: #955631)
  * Remove all ac_cv_sizeof_* variables. (Closes: #959524)
    Thanks to Jessica Clarke for identifying the gcc-V FTCBFS cause.
  * Drop ac_cv_header_readline_h from cross-config.cache. (Closes: #931077)
  * Update Priority from extra to optional.
  * Delete dysfunctional Homepage.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 22 Jun 2020 05:55:01 +0200

## dpkg-cross 2.6.16

=== debian/changelog ===
dpkg-cross (2.6.16) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix conversion of arch qualified relations (Closes: #982868)

 -- Wookey <wookey@debian.org>  Sat, 20 Feb 2021 03:42:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: dpkg-cross
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wookey <wookey@debian.org>
+Priority: optional
+Maintainer: Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper (>> 5)
 Standards-Version: 3.9.8
-Homepage: http://dpkg-cross.alioth.debian.org/
 Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/dpkg-cross/trunk/
 Vcs-SVN: http://www.emdebian.org/svn/current/host/trunk/dpkg-cross/trunk/

## dpkg-cross 2.6.17

=== debian/changelog ===
dpkg-cross (2.6.17) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark dpkg-crossed packages Multi-Arch: foreign (Closes: #963759)

  [ Wookey ]
  * Update to compat level 10 (last supported by cdbs) (Closes: #965496))

 -- Wookey <wookey@debian.org>  Thu, 25 Feb 2021 22:57:55 +0000

## dpkg-cross 2.6.18+nmu1

=== debian/changelog ===
dpkg-cross (2.6.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix glibc's ld.so paths in ldscripts. (Closes: #988052)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 10 May 2021 20:42:09 +0200

dpkg-cross (2.6.18) unstable; urgency=medium

  * Remove spurious .debs included in package (Closes: #988041)

 -- Wookey <wookey@debian.org>  Tue, 04 May 2021 22:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
-Build-Depends: cdbs, debhelper (>> 5)
-Standards-Version: 3.9.8
-Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/dpkg-cross/trunk/
-Vcs-SVN: http://www.emdebian.org/svn/current/host/trunk/dpkg-cross/trunk/
+Build-Depends: cdbs, debhelper ( >=10 )
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: cross-config
 Architecture: all

## dpkg-cross 2.6.18+nmu2

=== debian/changelog ===
dpkg-cross (2.6.18+nmu2) UNRELEASED; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Mark cross-config Multi-Arch: foreign.
  * Reduce maintainer scripts:
    + Delete dpkg-cross.preinst.
    + Delete dpkg-cross.prerm.
    + Delete diversion cleanup from dpkg-cross.postinst.
  * Declare compliance with policy 4.6.0.
    + Emit priority optional instead of extra in generated packages.
  * cross-config: Set xorg_cv_malloc0_returns_null. (Closes: #861073)

  [ YunQiang Su ]
  * Support mips r6 dynamic linker. (Closes: #993059)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 28 Aug 2021 07:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper ( >=10 )
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: cross-config
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: dpkg-cross (<= 2.6.14)
 Replaces: dpkg-cross (<= 2.6.14)

## dpkg-cross 2.6.18+nmu3

=== debian/changelog ===
dpkg-cross (2.6.18+nmu3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #835925)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 14:50:26 -0300

## dpkg-cross 2.6.19

=== debian/changelog ===
dpkg-cross (2.6.19) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007075).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 24 Nov 2022 20:47:05 +0100

dpkg-cross (2.6.18+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Mark cross-config Multi-Arch: foreign.
  * Reduce maintainer scripts:
    + Delete dpkg-cross.preinst.
    + Delete dpkg-cross.prerm.
    + Delete diversion cleanup from dpkg-cross.postinst.
  * Declare compliance with policy 4.6.0.
    + Emit priority optional instead of extra in generated packages.
  * cross-config: Set xorg_cv_malloc0_returns_null. (Closes: #861073)

  [ YunQiang Su ]
  * Support mips r6 dynamic linker. (Closes: #993059)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 28 Aug 2021 07:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg-cross
 Section: utils
 Priority: optional
-Maintainer: Wookey <wookey@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cdbs, debhelper ( >=10 )
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## dpkg-cross 2.6.20

=== debian/changelog ===
dpkg-cross (2.6.20) unstable; urgency=medium

  * QA upload.

  [ Shengjing Zhu ]
  * Move package Vcs to salsa.debian.org

  [ YunQiang Su ]
  * Fix work with glibc 2.35+ for mips64 and sparc64 (Closes: #1018758)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Dec 2022 14:19:42 +0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: cdbs, debhelper ( >=10 )
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/dpkg-cross
+Vcs-Git: https://salsa.debian.org/debian/dpkg-cross.git
 
 Package: cross-config
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 clean::
 	$(RM) Debian::DpkgCross.3 dpkg-cross.1
 	$(RM) debian/stamp-makefile-build debian/stamp-makefile-check
-	debconf-updatepo
 
 build/dpkg-cross::
 	install -d debian/dpkg-cross/usr/share/bug/dpkg-cross/

## dpkg-cross 2.6.22

=== Makefile ===
#
#  Copyright (C) 1997-2000  Roman Hodek <roman@hodek.net>
#  Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
#  Copyright (c) 2007-2008  Neil Williams <codehelp@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

all: man1 man3
	$(MAKE) -C po

test: 

man1:
	pod2man dpkg-cross > dpkg-cross.1

man3:
	pod2man Debian/DpkgCross.pm > Debian::DpkgCross.3

install:
	$(MAKE) -C po install

clean:
	rm -f dpkg-cross.1 Debian::DpkgCross.3

distclean: clean

=== debian/changelog ===
dpkg-cross (2.6.22) unstable; urgency=medium

  * QA upload.
  * Source-only upload

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 03:02:20 +0200

dpkg-cross (2.6.21) unstable; urgency=medium

  * QA upload.
  * Replace CDBS build with DebHelper 13.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 20:31:30 +0200

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dpkg-cross
Vcs-Git: https://salsa.debian.org/debian/dpkg-cross.git
X-Style: black

Package: cross-config
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: autotools support for cross-compilation
 This package contains configuration files describing available
 cross architecture settings for use by autotools along with
 support for cross-building using CMake and a small number of
 package-specific cross-building configuration support files.
 .
 This package will remain after the deprecated dpkg-cross binary
 and supporting perl module have been removed.

Package: dpkg-cross
Architecture: all
Depends:
 dpkg-dev,
 cross-config,
 libconfig-auto-perl,
 libdebian-dpkgcross-perl (= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 fakeroot,
Suggests:
 binutils-multiarch,
Description: tools for cross compiling Debian packages
 dpkg-cross is a tool for installing libraries and headers from
 packages which have not been converted for Multi-Arch to support
 cross compiling.
 .
 This package contains only the deprecated dpkg-cross binary. Future
 releases will drop the dpkg-cross and libdebian-dpkgcross-perl
 binary packages.

Package: libdebian-dpkgcross-perl
Section: perl
Architecture: all
Depends:
 dpkg-dev,
 file,
 libconfig-auto-perl,
 libfile-homedir-perl,
 libfile-temp-perl,
 liblocale-gettext-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: functions to aid cross-compiling Debian packages
 Debian::DpkgCross is a module of perl functions to aid installing
 libraries and headers for cross compiling.
 .
 This package is deprecated as it only supports the deprecated
 dpkg-cross binary.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	dh_bugfiles
